org.eclipse.wst.jsdt.ui

## Interface IContextMenuConstants

    public interface IContextMenuConstants

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static java.lang.String` `GROUP_ADDITIONS` Pop-up menu: name of group for additional actions (value `"additions"`).
`static java.lang.String` `GROUP_BUILD` Pop-up menu: name of group for build actions (value `"group.build"`).
`static java.lang.String` `GROUP_GENERATE` Pop-up menu: name of group for code generation actions ( value `"group.generate"`).
`static java.lang.String` `GROUP_GOTO` Pop-up menu: name of group for goto actions (value `"group.goto"`).
`static java.lang.String` `GROUP_NEW` Pop-up menu: name of group for new actions (value `"group.new"`).
`static java.lang.String` `GROUP_OPEN` Pop-up menu: name of group for open actions (value `"group.open"`).
`static java.lang.String` `GROUP_PROPERTIES` Pop-up menu: name of group for properties actions (value `"group.properties"`).
`static java.lang.String` `GROUP_REORGANIZE` Pop-up menu: name of group for reorganize actions (value `"group.reorganize"`).
`static java.lang.String` `GROUP_SEARCH` Pop-up menu: name of group for search actions (value `"group.search"`).
`static java.lang.String` `GROUP_SHOW` Pop-up menu: name of group for show actions (value `"group.show"`).
`static java.lang.String` `GROUP_SOURCE` Pop-up menu: name of group for source actions.
`static java.lang.String` `GROUP_VIEWER_SETUP` Pop-up menu: name of group for viewer setup actions (value `"group.viewerSetup"`).
`static java.lang.String` `TARGET_ID_HIERARCHY_VIEW` Type hierarchy view part: pop-up menu target ID for type hierarchy viewer (value `"org.eclipse.wst.jsdt.ui.TypeHierarchy.typehierarchy"`).
`static java.lang.String` `TARGET_ID_MEMBERS_VIEW` Type hierarchy view part: pop-up menu target ID for the member viewer (value `"org.eclipse.wst.jsdt.ui.TypeHierarchy.members"`).
`static java.lang.String` `TARGET_ID_SUBTYPES_VIEW` Type hierarchy view part: Pop-up menu target ID for the subtype hierarchy viewer (value `"org.eclipse.wst.jsdt.ui.TypeHierarchy.subtypes"`).
`static java.lang.String` `TARGET_ID_SUPERTYPES_VIEW` Type hierarchy view part: pop-up menu target ID for supertype hierarchy viewer (value `"org.eclipse.wst.jsdt.ui.TypeHierarchy.supertypes"`).

### Field Detail

#### TARGET_ID_HIERARCHY_VIEW

    static final java.lang.String TARGET_ID_HIERARCHY_VIEW

Type hierarchy view part: pop-up menu target ID for type hierarchy viewer (value `"org.eclipse.wst.jsdt.ui.TypeHierarchy.typehierarchy"`).

See Also:
  Constant Field Values

#### TARGET_ID_SUPERTYPES_VIEW

    static final java.lang.String TARGET_ID_SUPERTYPES_VIEW

Type hierarchy view part: pop-up menu target ID for supertype hierarchy viewer (value `"org.eclipse.wst.jsdt.ui.TypeHierarchy.supertypes"`).

See Also:
  Constant Field Values

#### TARGET_ID_SUBTYPES_VIEW

    static final java.lang.String TARGET_ID_SUBTYPES_VIEW

Type hierarchy view part: Pop-up menu target ID for the subtype hierarchy viewer (value `"org.eclipse.wst.jsdt.ui.TypeHierarchy.subtypes"`).

See Also:
  Constant Field Values

#### TARGET_ID_MEMBERS_VIEW

    static final java.lang.String TARGET_ID_MEMBERS_VIEW

Type hierarchy view part: pop-up menu target ID for the member viewer (value `"org.eclipse.wst.jsdt.ui.TypeHierarchy.members"`).

See Also:
  Constant Field Values

#### GROUP_GOTO

    static final java.lang.String GROUP_GOTO

Pop-up menu: name of group for goto actions (value `"group.goto"`).

Examples for open actions are:

- Go Into
- Go To

#### GROUP_OPEN

    static final java.lang.String GROUP_OPEN

Pop-up menu: name of group for open actions (value `"group.open"`).

Examples for open actions are:

- Open To
- Open With

#### GROUP_SHOW

    static final java.lang.String GROUP_SHOW

Pop-up menu: name of group for show actions (value `"group.show"`).

Examples for show actions are:

- Show in Navigator
- Show in Type Hierarchy

#### GROUP_NEW

    static final java.lang.String GROUP_NEW

Pop-up menu: name of group for new actions (value `"group.new"`).

Examples for new actions are:

- Create new class
- Create new interface

#### GROUP_BUILD

    static final java.lang.String GROUP_BUILD

Pop-up menu: name of group for build actions (value `"group.build"`).

#### GROUP_REORGANIZE

    static final java.lang.String GROUP_REORGANIZE

Pop-up menu: name of group for reorganize actions (value `"group.reorganize"`).

#### GROUP_GENERATE

    static final java.lang.String GROUP_GENERATE

Pop-up menu: name of group for code generation actions ( value `"group.generate"`).

#### GROUP_SOURCE

    static final java.lang.String GROUP_SOURCE

Pop-up menu: name of group for source actions. This is an alias for `GROUP_GENERATE` to be more consistent with main menu bar structure.

#### GROUP_SEARCH

    static final java.lang.String GROUP_SEARCH

Pop-up menu: name of group for search actions (value `"group.search"`).

#### GROUP_ADDITIONS

    static final java.lang.String GROUP_ADDITIONS

Pop-up menu: name of group for additional actions (value `"additions"`).

#### GROUP_VIEWER_SETUP

    static final java.lang.String GROUP_VIEWER_SETUP

Pop-up menu: name of group for viewer setup actions (value `"group.viewerSetup"`).

#### GROUP_PROPERTIES

    static final java.lang.String GROUP_PROPERTIES

Pop-up menu: name of group for properties actions (value `"group.properties"`).